Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.billing.list_usage(filter_project="proj_r0MK4O4kDa95w", filter_products=[
"si_aslft06m",
"si_on0fybnq",
], filter_plan="plan.name")
# Handle response
print(res)package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.Billing.ListUsage(ctx, "proj_r0MK4O4kDa95w", []string{
"si_aslft06m",
"si_on0fybnq",
}, latitudeshgosdk.Pointer("plan.name"))
if err != nil {
log.Fatal(err)
}
if res.BillingUsage != nil {
// handle response
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.billing.listUsage({
filterProducts: [
"si_aslft06m",
"si_on0fybnq",
],
filterPlan: "plan.name",
filterProject: "proj_r0MK4O4kDa95w",
});
console.log(result);
}
run();curl --request GET \
--url https://api.latitude.sh/billing/usage \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.latitude.sh/billing/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "",
"type": "billing_usage",
"attributes": {
"project": {
"id": "proj_r0MK4O4kDa95w",
"slug": "fantastic-iron-clock",
"name": "Fantastic Iron Clock"
},
"period": {
"start": "2025-12-24T15:56:32+00:00",
"end": "2026-01-24T15:56:32+00:00"
},
"available_credit_balance": 123,
"amount": 0,
"price": 0,
"products": [],
"threshold": 10000
}
},
"meta": {}
}Billing
Retrieve billing usage
Returns the billing usage of a project
GET
/
billing
/
usage
Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.billing.list_usage(filter_project="proj_r0MK4O4kDa95w", filter_products=[
"si_aslft06m",
"si_on0fybnq",
], filter_plan="plan.name")
# Handle response
print(res)package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.Billing.ListUsage(ctx, "proj_r0MK4O4kDa95w", []string{
"si_aslft06m",
"si_on0fybnq",
}, latitudeshgosdk.Pointer("plan.name"))
if err != nil {
log.Fatal(err)
}
if res.BillingUsage != nil {
// handle response
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.billing.listUsage({
filterProducts: [
"si_aslft06m",
"si_on0fybnq",
],
filterPlan: "plan.name",
filterProject: "proj_r0MK4O4kDa95w",
});
console.log(result);
}
run();Authorizations
Query Parameters
Allows to filter the billing usage for specific products. It accepts an array of product ids.
Accepts a plan name and allows to filter the usage for that plan.
Was this page helpful?
⌘I